onEvent('recipes', e => {

  e.remove({ output: 'botania:apothecary_default' })
  e.remove({ output: 'botania:blaze_block' })
  e.remove({ output: 'botania:pure_daisy' })
  e.remove({ output: 'botania:hydroangeas' })
  e.remove({ output: 'botania:endoflame' })
  e.remove({ output: 'botania:thermalily' })
  e.remove({ output: 'botania:rosa_arcana' })
  e.remove({ output: 'botania:munchdew' })
  e.remove({ output: 'botania:entropinnyum' })
  e.remove({ output: 'botania:kekimurus' })
  e.remove({ output: 'botania:gourmaryllis' })
  e.remove({ output: 'botania:narslimmus' })
  e.remove({ output: 'botania:spectrolus' })
  e.remove({ output: 'botania:dandelifeon' })
  e.remove({ output: 'botania:rafflowsia' })
  e.remove({ output: 'botania:shulk_me_not' })
  e.remove({ output: 'botania:diluted_pool' })
  e.remove({ output: 'botania:livingwood' })
  e.remove({ output: 'botania:livingrock' })
  e.remove({ output: 'botania:mana_pool' })
  e.remove({ output: 'botania:rune_water' })
  e.remove({ output: 'botania:rune_fire' })
  e.remove({ output: 'botania:rune_earth' })
  e.remove({ output: 'botania:rune_air' })
  e.remove({ output: 'botania:rune_mana' })
  e.remove({ output: 'botania:rune_spring' })
  e.remove({ output: 'botania:rune_summer' })
  e.remove({ output: 'botania:rune_autumn' })
  e.remove({ output: 'botania:rune_winter' })
  e.remove({ output: 'botania:terra_plate' })
  e.remove({ output: 'botania:alfheim_portal' })
  e.remove({ output: 'botania:spark' })
  e.remove({ output: 'botania:laputa_shard' })
  e.remove({ output: 'botania:mana_gun' })
  e.remove({ output: 'botania:mana_tablet' })
  e.remove({ output: 'botania:corporea_funnel' })
  e.remove({ output: 'botania:smelt_rod' })
  e.remove({ output: 'botania:divining_rod' })
  e.remove({ output: 'botania:fire_rod' })
  e.remove({ output: 'botania:skydirt_rod' })
  e.remove({ output: 'botania:cobble_rod' })
  e.remove({ output: 'botania:tornado_rod' })
  e.remove({ output: 'botania:missile_rod' })
  e.remove({ output: 'botania:water_rod' })



  
  e.shaped('botania:blaze_block', [
    '111',
    '111',
    '111'
  ], {
    1: 'minecraft:blaze_rod'
  })

  e.shaped('botania:alfheim_portal', [
    '323',
    '212',
    '333'
  ], {
    1: 'botania:terrasteel_ingot', 2: 'botania:terrasteel_nugget', 3: 'botania:glimmering_livingwood'
  })

  e.shaped('botania:mana_pool', [
    '   ',
    ' 1 ',
    '121'
  ], {
    1: 'botania:diluted_pool', 2: 'botania:manasteel_block'
  })

})